ng character string to be serialised into octets (note
    `encoding` parameter) or |ASN.1| object.
    If `value` is not given, schema object will be created.

tagSet: :py:class:`~pyasn1.type.tag.TagSet`
    Object representing non-default ASN.1 tag(s)

subtypeSpec: :py:class:`~pyasn1.type.constraint.ConstraintsIntersection`
    Object representing non-default ASN.1 subtype constraint(s). Constraints
    verification for |ASN.1| type occurs automatically on object
    instantiation.

encoding: :py:class:`str`
    Unicode codec ID to encode/decode
    :class:`str` the payload when |ASN.1| object is used
    in text string context.

binValue: :py:class:`str`
    Binary string initializer to use instead of the *value*.
    Example: '10110011'.

hexValue: :py:class:`str`
    Hexadecimal string initializer to use instead of the *value*.
    Example: 'DEADBEEF'.

Raises
------
~pyasn1.error.ValueConstraintError, ~pyasn1.error.PyAsn1Error
    On constraint violation or bad initializer.

Examples
--------
.. code-block:: python

    class Error(Sequence):
        '''
        ASN.1 specification:

        Error ::= SEQUENCE {
            code      INTEGER,
            parameter ANY DEFINED BY code  -- Either INTEGER or REAL
        }
        '''
        componentType=NamedTypes(
            NamedType('code', Integer()),
            NamedType('parameter', Any(),
                      openType=OpenType('code', {1: Integer(),
                                                 2: Real()}))
        )

    error = Error()
    error['code'] = 1
    error['parameter'] = Integer(1234)
c